/******************
    - General -
******************/
.socialbox {
	z-index:1000;
	font-size:0;
}

.socialbox,
.socialbox * {
	-webkit-user-select:none;
	   -moz-user-select:none;
			user-select:none;
}

.socialbox ol, 
.socialbox ul {
	margin:0;
	padding:0;
	list-style:none;
	white-space:nowrap;
	-webkit-transition:all .5s;
	   -moz-transition:all .5s;
			transition:all .5s;
}
	
.socialbox li {
	line-height:0;
	font-size:0;
	-webkit-transition:all .3s;
	   -moz-transition:all .3s;
			transition:all .3s;
}

.socialbox a,
.socialbox a:hover,
.socialbox a:active {
	text-decoration:none;
	font-style:normal;
	font-weight:normal;
	font-variant:normal;
	text-transform:none;
	background:transparent;
	-webkit-font-smoothing:antialiased;
	-moz-osx-font-smoothing:grayscale;
	-webkit-box-sizing:border-box;
	   -moz-box-sizing:border-box;
			box-sizing:border-box;
}

/* Sidebar position */
.socialbox.sb-sidebar-fixed {
	position:fixed;
}

.socialbox.sb-sidebar-absolute {
	position:absolute; 
}

/* Link */
.socialbox > ul > li {
	position:relative;
}

.socialbox > ul > li > a {
	position:relative;
	left:0;
	right:0;
	top:0;
	bottom:0;
	display:block;
	text-align:center;
	width:40px;
	height:40px;
	line-height:40px;
	font-size:16px;
	color:#fff;
	overflow:hidden;
	-webkit-transition:all .3s;
	   -moz-transition:all .3s;
			transition:all .3s;
}

.socialbox > ul > li > a > i {
	width:inherit;
}

.socialbox > ul > li > a:hover {
	color:#fff !important;
}
	
/*******************
    - Position -
*******************/
/* Left */
.socialbox.sb-pos-left {
	left:0; 
	top:50%;
	-webkit-transform:translateY(-50%);
	   -moz-transform:translateY(-50%);
			transform:translateY(-50%);
}

/* Right */
.socialbox.sb-pos-right {
	right:0; 
	top:50%;
	-webkit-transform:translateY(-50%);
	   -moz-transform:translateY(-50%);
			transform:translateY(-50%);
}

/* Top */
.socialbox.sb-pos-top {
	top:0;
	left:50%;
	-webkit-transform:translateX(-50%);
	   -moz-transform:translateX(-50%);
			transform:translateX(-50%);
}

body.admin-bar .socialbox.sb-pos-top {
	top:32px;
}

.socialbox.sb-pos-top ul li,
.socialbox.sb-pos-bottom ul li {
	display:inline-block;
	vertical-align:top;
}

/* Bottom */
.socialbox.sb-pos-bottom {
	bottom:0;
	left:50%;
	-webkit-transform:translateX(-50%);
	   -moz-transform:translateX(-50%);
			transform:translateX(-50%);
}

/****************
    - Space -
****************/
.socialbox.sb-pos-left.sb-space > ul > li > a,
.socialbox.sb-pos-right.sb-space > ul > li > a {
	margin-bottom:4px;
}

.socialbox.sb-pos-top.sb-space > ul > li > a,
.socialbox.sb-pos-bottom.sb-space > ul > li > a {
	margin-right:4px;
}

.socialbox.sb-space > ul > li:last-child > a {
	margin:0;
}

/*********************
    - Icon shape -
*********************/
/* Square */
.socialbox.sb-shape-square {}

/* Round */
.socialbox.sb-pos-left.sb-shape-round > ul > li:first-child > a {
	-webkit-border-top-right-radius:4px;
		-moz-border-radius-topright:4px;
			border-top-right-radius:4px;
}

.socialbox.sb-pos-left.sb-shape-round > ul > li:last-child > a {
	-webkit-border-bottom-right-radius:4px;
		-moz-border-radius-bottomright:4px;
			border-bottom-right-radius:4px;
}

.socialbox.sb-pos-left.sb-space.sb-shape-round > ul > li > a {
	-webkit-border-radius:0 4px 4px 0;
	   -moz-border-radius:0 4px 4px 0;
			border-radius:0 4px 4px 0;
}

.socialbox.sb-pos-right.sb-shape-round > ul > li:first-child > a {
	-webkit-border-top-left-radius:4px;
		-moz-border-radius-topleft:4px;
			border-top-left-radius:4px;
}

.socialbox.sb-pos-right.sb-shape-round > ul > li:last-child > a {
	-webkit-border-bottom-left-radius:4px;
		-moz-border-radius-bottomleft:4px;
			border-bottom-left-radius:4px;
}

.socialbox.sb-pos-right.sb-space.sb-shape-round > ul > li > a {
	-webkit-border-radius:4px 0 0 4px;
	   -moz-border-radius:4px 0 0 4px;
			border-radius:4px 0 0 4px;
}

.socialbox.sb-pos-top.sb-shape-round > ul > li:first-child > a {
	-webkit-border-bottom-left-radius:4px;
		-moz-border-radius-bottomleft:4px;
			border-bottom-left-radius:4px;
}

.socialbox.sb-pos-top.sb-shape-round > ul > li:last-child > a {
	-webkit-border-bottom-right-radius:4px;
		-moz-border-radius-bottomright:4px;
			border-bottom-right-radius:4px;
}

.socialbox.sb-pos-top.sb-space.sb-shape-round > ul > li > a {
	-webkit-border-radius:0 0 4px 4px;
	   -moz-border-radius:0 0 4px 4px;
			border-radius:0 0 4px 4px;
}

.socialbox.sb-pos-bottom.sb-shape-round > ul > li:first-child > a {
	-webkit-border-top-left-radius:4px;
		-moz-border-radius-topleft:4px;
			border-top-left-radius:4px;
}

.socialbox.sb-pos-bottom.sb-shape-round > ul > li:last-child > a {
	-webkit-border-top-right-radius:4px;
		-moz-border-radius-topright:4px;
			border-top-right-radius:4px;
}

.socialbox.sb-pos-bottom.sb-space.sb-shape-round > ul > li > a {
	-webkit-border-radius:4px 4px 0 0;
	   -moz-border-radius:4px 4px 0 0;
			border-radius:4px 4px 0 0;
}

/* Circle */
.socialbox.sb-shape-circle > ul > li > a {
	-webkit-border-radius:50%;
	   -moz-border-radius:50%;
			border-radius:50%;
}

.socialbox.sb-pos-left.sb-shape-circle {
	left:10px;
}

.socialbox.sb-pos-right.sb-shape-circle {
	right:10px;
}

.socialbox.sb-pos-top.sb-shape-circle {
	top:10px;
}

.socialbox.sb-pos-bottom.sb-shape-circle {
	bottom:10px;
}

.socialbox.sb-pos-left.sb-shape-circle > ul > li > a,
.socialbox.sb-pos-right.sb-shape-circle > ul > li > a {
	margin-bottom:10px;
}

.socialbox.sb-pos-top.sb-shape-circle > ul > li > a,
.socialbox.sb-pos-bottom.sb-shape-circle > ul > li > a {
	margin-right:10px;
}

.socialbox.sb-shape-circle > ul > li:last-child > a {
	margin:0;
}

/**************************
    - Animation style -
**************************/
/* Grow */
.socialbox.sb-pos-left.sb-shape-square.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-right.sb-shape-square.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-left.sb-shape-round.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-right.sb-shape-round.sb-style-grow > ul > li:hover > a {
	width:50px;
}

.socialbox.sb-pos-top.sb-shape-square.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-bottom.sb-shape-square.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-top.sb-shape-round.sb-style-grow > ul > li:hover > a,
.socialbox.sb-pos-bottom.sb-shape-round.sb-style-grow > ul > li:hover > a {
	height:50px;
	line-height:50px;
}

.socialbox.sb-pos-right.sb-style-grow > ul > li {
	float:right;
	clear:both;
	right:0;
}

.socialbox.sb-pos-bottom.sb-style-grow > ul > li {
	clear:both;
	bottom:0;
	vertical-align:bottom;
}

.socialbox.sb-pos-left.sb-shape-round.sb-style-grow > ul > li:hover > a {
	border-radius:0 4px 4px 0;
}

.socialbox.sb-pos-right.sb-shape-round.sb-style-grow > ul > li:hover > a {
	border-radius:4px 0 0 4px;
}

.socialbox.sb-pos-top.sb-shape-round.sb-style-grow > ul > li:hover > a {
	border-radius:0 0 4px 4px;
}

.socialbox.sb-pos-bottom.sb-shape-round.sb-style-grow > ul > li:hover > a {
	border-radius:4px 4px 0 0;
}

.socialbox.sb-pos-left.sb-shape-circle.sb-style-grow > ul > li:hover > a {
	left:8px;
}

.socialbox.sb-pos-right.sb-shape-circle.sb-style-grow > ul > li > a {
	left:auto;
}

.socialbox.sb-pos-right.sb-shape-circle.sb-style-grow > ul > li:hover > a {
	right:8px;
}

.socialbox.sb-pos-top.sb-shape-circle.sb-style-grow > ul > li:hover > a {
	top:8px;
}

.socialbox.sb-pos-bottom.sb-shape-circle.sb-style-grow > ul > li:hover > a {
	top:-8px;
}

/* Simple */
.socialbox.sb-style-simple {}

/*********************
    - Mobile off -
*********************/
@media (max-width:767px) {
	.sb-mobile-off {
		display:none !important;
	}
}

/**********************
    - Show / hide -
**********************/
.socialbox .sb-hide-btn {
	position:absolute;
	display:block;
	width:24px;
	height:24px;
	cursor:pointer;
	background:rgba(0, 0, 0, 0.3);
	opacity:0;
	-webkit-border-radius:50%;
	   -moz-border-radius:50%;
			border-radius:50%;
	-webkit-transition:all .5s;
	   -moz-transition:all .5s;
			transition:all .5s;
}

.socialbox .sb-hide-btn:hover {
	background:#000;
}

.socialbox:hover .sb-hide-btn,
.socialbox.sb-hide .sb-hide-btn {
	opacity:1;
}

.socialbox .sb-hide-btn:before {
	position:absolute;
	font-family:'Font Awesome 5 Free';
	content:'\f053';
	font-weight:900;
  	font-size:12px;
	text-align:center;
	width:24px;
	line-height:24px;
	left:-1px;
	color:#fff;
	-webkit-transition:all .5s;
	   -moz-transition:all .5s;
			transition:all .5s;
}

/* Left */
.socialbox.sb-pos-left.sb-hide > ul {
	margin-left:-50px;
}

.socialbox.sb-pos-left .sb-hide-btn {
	left:8px;
	bottom:-32px;
}

.socialbox.sb-pos-left.sb-hide .sb-hide-btn {
	left:0;
	-webkit-border-radius:0 4px 4px 0;
	   -moz-border-radius:0 4px 4px 0;
			border-radius:0 4px 4px 0;
}

.socialbox.sb-pos-left.sb-shape-circle.sb-hide .sb-hide-btn {
	left:-10px;
}

.socialbox.sb-pos-left.sb-hide .sb-hide-btn:before {
	-webkit-transform:rotate(180deg);
	   -moz-transform:rotate(180deg);
			transform:rotate(180deg);
}

/* Right */
.socialbox.sb-pos-right.sb-hide > ul {
	margin-right:-50px;
}

.socialbox.sb-pos-right .sb-hide-btn {
	right:8px;
	bottom:-32px;
}

.socialbox.sb-pos-right .sb-hide-btn:before {
	left:0;
	-webkit-transform:rotate(180deg);
	   -moz-transform:rotate(180deg);
			transform:rotate(180deg);
}

.socialbox.sb-pos-right.sb-hide .sb-hide-btn {
	right:0;
	-webkit-border-radius:4px 0 0 4px;
	   -moz-border-radius:4px 0 0 4px;
			border-radius:4px 0 0 4px;
}

.socialbox.sb-pos-right.sb-shape-circle.sb-hide .sb-hide-btn {
	right:-10px;
}

.socialbox.sb-pos-right.sb-hide .sb-hide-btn:before {
	-webkit-transform:rotate(0);
	   -moz-transform:rotate(0);
			transform:rotate(0);
}

/* Top */
.socialbox.sb-pos-top.sb-hide > ul {
	margin-top:-50px;
}

.socialbox.sb-pos-top .sb-hide-btn {
	top:8px;
	right:-32px;
}

.socialbox.sb-pos-top .sb-hide-btn:before {
	left:0;
	-webkit-transform:rotate(90deg);
	   -moz-transform:rotate(90deg);
			transform:rotate(90deg);
}

.socialbox.sb-pos-top.sb-hide .sb-hide-btn {
	top:0;
	-webkit-border-radius:0 0 4px 4px;
	   -moz-border-radius:0 0 4px 4px;
			border-radius:0 0 4px 4px;
}

.socialbox.sb-pos-top.sb-shape-circle.sb-hide .sb-hide-btn {
	top:-10px;
}

.socialbox.sb-pos-top.sb-hide .sb-hide-btn:before {
	-webkit-transform:rotate(-90deg);
	   -moz-transform:rotate(-90deg);
			transform:rotate(-90deg);
}

/* Bottom */
.socialbox.sb-pos-bottom.sb-hide > ul {
	margin-bottom:-50px;
}

.socialbox.sb-pos-bottom.sb-shape-circle.sb-hide {
	bottom:0;
}

.socialbox.sb-pos-bottom .sb-hide-btn {
	bottom:8px;
	right:-32px;
}

.socialbox.sb-pos-bottom .sb-hide-btn:before {
	left:0;
	-webkit-transform:rotate(-90deg);
	   -moz-transform:rotate(-90deg);
			transform:rotate(-90deg);
}

.socialbox.sb-pos-bottom.sb-hide .sb-hide-btn {
	bottom:0;
	-webkit-border-radius:4px 4px 0 0;
	   -moz-border-radius:4px 4px 0 0;
			border-radius:4px 4px 0 0;
}

.socialbox.sb-pos-bottom.sb-hide .sb-hide-btn:before {
	-webkit-transform:rotate(90deg);
	   -moz-transform:rotate(90deg);
			transform:rotate(90deg);
}

/***************************
    - Background color -
***************************/
.socialbox .sb-twitter 				{background:#00abf0;} 	/* fab fa-twitter */
.socialbox .sb-twitter:hover 		{background:#0092cc;}

.socialbox .sb-facebook 			{background:#3a579a;} 	/* fab fa-facebook-f */
.socialbox .sb-facebook:hover 		{background:#314a83;}

.socialbox .sb-pinterest 			{background:#cd1c1f;} 	/* fab fa-pinterest-p */
.socialbox .sb-pinterest:hover 		{background:#ae181a;}

.socialbox .sb-linkedin 			{background:#127bb6;} 	/* fab fa-linkedin-in */
.socialbox .sb-linkedin:hover 		{background:#0f699b;}

.socialbox .sb-instagram 			{background:#f31e58;} 	/* fab fa-instagram */
.socialbox .sb-instagram:hover 		{background:#d4164a;}

.socialbox .sb-dribbble 			{background:#ea4c8d;} 	/* fab fa-dribbble */
.socialbox .sb-dribbble:hover 		{background:#c74178;}

.socialbox .sb-behance 				{background:#005cff;} 	/* fab fa-behance */
.socialbox .sb-behance:hover 		{background:#004fdb;}

.socialbox .sb-youtube 				{background:#a8240f;} 	/* fab fa-youtube */
.socialbox .sb-youtube:hover 		{background:#8f1f0d;}

.socialbox .sb-vimeo 				{background:#45bbfc;} 	/* fab fa-vimeo-v */
.socialbox .sb-vimeo:hover 			{background:#3b9fd6;}

.socialbox .sb-whatsapp 			{background:#45c355;} 	/* fab fa-whatsapp */
.socialbox .sb-whatsapp:hover 		{background:#31aa41;}

.socialbox .sb-skype 				{background:#1ba5f4;} 	/* fab fa-skype */
.socialbox .sb-skype:hover 			{background:#178cd0;}

.socialbox .sb-flickr 				{background:#fc1684;} 	/* fab fa-flickr */
.socialbox .sb-flickr:hover 		{background:#d61370;}

.socialbox .sb-tumblr 				{background:#32506d;} 	/* fab fa-tumblr */
.socialbox .sb-tumblr:hover 		{background:#2b445d;}

.socialbox .sb-mix 					{background:#ea4b24;} 	/* fab fa-mix */
.socialbox .sb-mix:hover 			{background:#c7401f;}

.socialbox .sb-deviantart 			{background:#566c68;} 	/* fab fa-deviantart */
.socialbox .sb-deviantart:hover 	{background:#495c59;}

.socialbox .sb-blogger 				{background:#f59038;} 	/* fab fa-blogger-b */
.socialbox .sb-blogger:hover 		{background:#d07b30;}

.socialbox .sb-spotify 				{background:#aecf29;} 	/* fab fa-spotify */
.socialbox .sb-spotify:hover 		{background:#94b023;}

.socialbox .sb-500px 				{background:#111111;} 	/* fab fa-500px */
.socialbox .sb-500px:hover 			{background:#000000;}

.socialbox .sb-medium 				{background:#13c264;} 	/* fab fa-medium-m */
.socialbox .sb-medium:hover 		{background:#01a669;}

.socialbox .sb-steam 				{background:#6438b1;} 	/* fab fa-steam-symbol */
.socialbox .sb-steam:hover 			{background:#522a98;}

.socialbox .sb-yahoo 				{background:#511295;} 	/* fab fa-yahoo */
.socialbox .sb-yahoo:hover 			{background:#450f7f;}

.socialbox .sb-amazon 				{background:#222222;} 	/* fab fa-amazon */
.socialbox .sb-amazon:hover 		{background:#000000;}

.socialbox .sb-reddit 				{background:#fc461e;} 	/* fab fa-reddit-alien */
.socialbox .sb-reddit:hover 		{background:#d63c1a;}

.socialbox .sb-vk 					{background:#4c75a3;} 	/* fab fa-vk */
.socialbox .sb-vk:hover 			{background:#41648b;}

.socialbox .sb-evernote 			{background:#7cbf4b;} 	/* fab fa-evernote */
.socialbox .sb-evernote:hover 		{background:#6aa340;}

.socialbox .sb-foursquare 			{background:#1dafec;} 	/* fab fa-foursquare */
.socialbox .sb-foursquare:hover 	{background:#0994ce;}

.socialbox .sb-soundcloud 			{background:#f93900;} 	/* fab fa-soundcloud */
.socialbox .sb-soundcloud:hover 	{background:#e43400;}

.socialbox .sb-lastfm 				{background:#d21309;} 	/* fab fa-lastfm */
.socialbox .sb-lastfm:hover 		{background:#ae0d04;}

.socialbox .sb-paypal 				{background:#00335e;} 	/* fab fa-paypal */
.socialbox .sb-paypal:hover 		{background:#001d35;}

.socialbox .sb-twitch 				{background:#6441A5;} 	/* fab fa-twitch */
.socialbox .sb-twitch:hover 		{background:#46287e;}

.socialbox .sb-vine 				{background:#00A478;} 	/* fab fa-vine */
.socialbox .sb-vine:hover 			{background:#048663;}

.socialbox .sb-xing 				{background:#0c5459;} 	/* fab fa-xing */
.socialbox .sb-xing:hover 			{background:#093c40;}

.socialbox .sb-yelp 				{background:#b61100;} 	/* fab fa-yelp */
.socialbox .sb-yelp:hover 			{background:#951104;}

.socialbox .sb-rss 					{background:#f59038;} 	/* fas fa-rss */
.socialbox .sb-rss:hover 			{background:#d07b30;}

.socialbox .sb-email 				{background:#666666;} 	/* fas fa-envelope */
.socialbox .sb-email:hover 			{background:#555555;}

.socialbox .sb-wordpress 			{background:#267697;} 	/* fab fa-wordpress-simple */
.socialbox .sb-wordpress:hover 		{background:#206480;}

/**********************
    - Color theme -
**********************/
/* Color */
.socialbox.sb-theme-color {}

/* Dark */
.socialbox.sb-theme-dark > ul > li > a {
	background: #603813;
}

/* Light */
.socialbox.sb-theme-light > ul > li > a {
	color:#000;
	background:#fff;
}


